Bug 1386602 - Can't scroll in virt-viewer, Gnome Boxes, virt-manager under Wayland using touchpad/trackpoint
Summary: Can't scroll in virt-viewer, Gnome Boxes, virt-manager under Wayland using to...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
: 1229443 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-19 09:38 UTC by Stefan Kirrmann
Modified: 2019-06-25 14:29 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-09 08:14:05 UTC


Attachments (Terms of Use)

Description Stefan Kirrmann 2016-10-19 09:38:44 UTC
Description of problem:

I cannot scroll in virt-viewer, remote-viewer, Gnome Boxes or virt-manager, the mouse events are not passed through, except of this issue the mouse works fine. This problem only exists under Wayland. If I am using Xorg, everything works like it should. So I guess it has to be the implementation that all of this applications do use.

This bug does apply to Fedora 24, too.


Version-Release number of selected component (if applicable):
virt-viewer-4.0-2.fc25.x86_64
virt-manager-1.4.0-3.fc25.noarch
gnome-boxes-3.22.1-1.fc25.x86_64


Additional info:
I am using a T540p with a multi touch scroll. The VM Guest System is Windows and has Spice Geust Tools installed.

Comment 1 Peter Simonyi 2016-11-25 04:00:53 UTC
Only touchpad scrolling is affected.  Scrolling with a mouse is passed through as expected.

If the host is Gnome Shell on Wayland, scrolling just doesn't get passed through.

Under Weston, it's really weird: scrolling in either direction gets translated into scrolling in only one direction (down with "Natural Scrolling" off).

The guest VM doesn't seem to matter; I've tried F24 and 25, XOrg and Wayland.

Comment 2 Kamil Páral 2016-11-25 09:10:51 UTC
I can confirm this. Mouse scrolling works in a VM, touchpad or trackpoint scrolling doesn't.

Comment 3 Kamil Páral 2016-11-25 09:31:23 UTC
This happens even in VMs with VNC (not spice). Also, it happens with remote-viewer connecting to a vnc server. However, when I connect to the same server with vncviewer, I can scroll just fine. So this is not exactly about spice, but about some library that all the tools use for input processing. Which can be spice-related, I don't know (is there some compatibility mode with vnc in that library?).

Comment 4 Christophe Fergeau 2016-11-25 09:41:29 UTC
Could be an issue in virt-viewer then, or in gtk+.

Comment 5 Peter Simonyi 2016-11-25 09:45:12 UTC
(In reply to Kamil Páral from comment #3)
> However, when I connect to the
> same server with vncviewer, I can scroll just fine.

vncviewer in tigervnc isn't Wayland native; all the others are.

Running e.g. gnome-boxes on XWayland with GDK_BACKEND=x11 does make trackpad scrolling work.  (although this is a terrible workaround because then the keyboard doesn't work!)

Comment 6 Christophe Fergeau 2016-11-25 09:51:48 UTC
I've noticed this "keyboard does not work" issue with GDK_BACKEND=x11 too, but did not get a chance to investigate yet.
Tentatively moving to gtk+.

Comment 7 Christophe Fergeau 2016-11-25 09:52:49 UTC
(but it could very well be remote-viewer/spice-gtk/gtk-vnc event handling which is missing something to handle your trackpad)

Comment 8 Cole Robinson 2016-12-12 20:36:54 UTC
*** Bug 1229443 has been marked as a duplicate of this bug. ***

Comment 9 fedora-mate-testing 2017-01-08 22:51:18 UTC
Experiencing the same issue on Fedora 25 with Wayland, with XOrg it does work.

Also would like to add that with Wayland I can't make Super key pass through to VMs, both in Boxes and virt-manager spice client. In virt-manager guest-to-host (but no the other way around) clipboard sharing doesn't work as well as Ctrl+W, which closes the window.

Comment 10 Kamil Páral 2017-01-09 13:12:01 UTC
(In reply to fedora-mate-testing from comment #9)
> Also would like to add that with Wayland I can't make Super key pass through
> to VMs, both in Boxes and virt-manager spice client.

That's bug 1285770, unrelated to this.

Comment 11 fedora-mate-testing 2017-01-09 13:28:03 UTC
> That's bug 1285770, unrelated to this.

Got it. Thanks for pointing out to correct issue.

Comment 12 Kamil Páral 2017-04-11 10:46:18 UTC
Still an issue with F25 host and F26 Alpha guest.

Comment 13 E.J. Bevenour 2017-10-18 23:21:36 UTC
This is an issue on Ubuntu 17.10 Beta 1.

Comment 14 Fedora End Of Life 2017-11-16 18:53:22 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Dimitris 2017-11-16 19:27:34 UTC
Still happens on F26

Comment 16 Peter Simonyi 2017-11-18 02:18:36 UTC
Also still a problem in 27.

Comment 17 James Hogarth 2017-12-12 15:42:51 UTC
Updating to F27 as confirmed an issue there (bit me just now on some Windows testing).

Comment 18 Christophe Fergeau 2017-12-14 16:11:21 UTC
Most likely related to https://lists.freedesktop.org/archives/spice-devel/2017-November/040603.html

« One note here, when running a wayland spice-gtk/remote-viewer, the only
scroll events I'm getting are GDK_SCROLL_SMOOTH events, I'm not getting
any scroll event until I add GDK_SMOOTH_SCROLL_MASK to the events
spice-gtk listens to (which results in the mouse wheel not being
functional with a wayland client). »

Comment 19 Rex Dieter 2018-02-14 19:25:12 UTC
Triaging to gtk3

Comment 20 Alexander Mikhaylenko 2018-03-28 17:17:54 UTC
Can this be related to https://bugzilla.redhat.com/show_bug.cgi?id=1456974 ?

Comment 21 Peter Simonyi 2018-08-09 03:54:09 UTC
This works now in F28.  I didn't notice when exactly it started working.

Comment 22 Christophe Fergeau 2018-08-09 08:14:05 UTC
Fixed by https://gitlab.freedesktop.org/spice/spice-gtk/commit/2212f05145c5f1d5734f0cb7d3945dc58c1d5c8c which is in spice-gtk 0.35

Comment 23 Konstantin N 2019-06-25 14:29:18 UTC
have problem on Fedora 30 with gnome-boxes:

spice-glib.x86_64            0.37-1.fc30       @updates
spice-gtk3.x86_64            0.37-1.fc30       @updates
spice-server.x86_64          0.14.2-1.fc30     @updates
spice-vdagent.x86_64         0.19.0-1.fc30     @updates
gnome-boxes.x86_64           3.32.1-2.fc30     @updates

Wayland on host

## Guest:

Distributor ID:	Debian
Description:	Debian GNU/Linux 9.9 (stretch)
Release:	9.9
Codename:	stretch

$ loginctl
   SESSION        UID USER             SEAT             TTY             
        c1        116 Debian-gdm       seat0            /dev/tty1       
         3       1000 keeper           seat0            /dev/tty2       

2 sessions listed.

keeper@keeper-hs03:~/bin$ loginctl show-session 3 -p Type
Type=x11

ii  libspice-client-glib-2.0-8:amd64      0.33-3.3+deb9u1
ii  libspice-client-gtk-3.0-5:amd64       0.33-3.3+deb9u1
ii  spice-client-glib-usb-acl-helper      0.33-3.3+deb9u1
ii  spice-vdagent                         0.17.0-1       
ii  spice-webdavd                         2.1-1


Note You need to log in before you can comment on or make changes to this bug.